@echo off

:: Copyright (c) 2011, Intel Corporation
:: All rights reserved.
::  
:: Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
:: 
::     * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
::     * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
::     * Neither the name of Intel Corporation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
:: 
:: THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

:: Verify we got a password
if "%1"=="" goto end

:: Get the IP address
for /f "delims=: tokens=2" %%A in ('ipconfig ^| find /i "IPv4 Address"') do (
set IP=%%A
)
:: quit if none
if "%IP%"=="" goto end

:: Check for SOL included in this build
if not exist %~dp0sol_out.txt goto end
:: Loop until SOL is finished loading
set count=1
:loop
if exist sol_log.bat goto loop_exit
if count==5 goto end
ping 127.0.0.1 -n %count% > NUL
set count=%count%+1
goto loop

:loop_exit
call sol_log.bat
if %COMPORT%==NUL goto end

echo VNC Ready for Connection on%IP% with password %1 >> sol_in.txt

:: If we have RIL we can send a command to autostart the VNC viewer
find /i "RIL" sol_out.txt > NUL
if not %ERRORLEVEL%==0 goto end
::TBD

:end